<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 40.20 - CRUD</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
    <script src="script.js"></script>
</head>
<body>
    <!-- course Data Table-->
    <div class="container-fluid">
        <div class="text-center my-4">
            <h2>Danh sách khoá học</h2>
        </div>
        <button class="btn btn-success form-group" id="btn-add-course" data-toggle="modal" data-target="#add-course-madal">Thêm Khoá Học</button>
        <table class="table table-bordered table-striped table-hover text-center" id="course-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Courses Code</th>
                    <th>Courses Name</th>
                    <th>Price</th>
                    <th>Discoun Price</th>
                    <th>Duration</th>
                    <th>Level</th>
                    <th>Cover IMG</th>
                    <th>Teacher Name</th>
                    <th>Teacher IMG</th>
                    <th>IsPopular</th>
                    <th>Is Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    <!-- Vùng Modal -->
    <!-- Create course modal -->
    <div id="insert-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- modal header -->
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Thêm Course</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- modal body -->
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-courseCode">Mã khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-courseCode" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-courseName">Tên khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-courseName" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-price">Giá niêm yết</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" id="inp-price" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-discountPrice">Giá ưu đãit</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" id="inp-discountPrice" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-duration">Độ dài khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-duration" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-level">Trình độ khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-level" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-coverImage">Ảnh khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-coverImage" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-teacherName">Tên giảng viên</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-teacherName" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-teacherPhoto">Ảnh giảng viên</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-teacherPhoto" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-isPopular">Popular</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="checkbox" id="inp-isPopular" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-isTrending">Trending</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="checkbox" id="inp-isTrending" class="form-control">
                            </div>
                        </div>
                    </form>
                </div>
                <!-- modal footer -->
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-addnew-course" >Addnew course</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Edit course modal -->
    <div id="edit-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- modal header -->
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Edit Course</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- modal body -->
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-courseCode-edit">Mã khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-courseCode-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-courseName-edit">Tên khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-courseName-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-price-edit">Giá niêm yết</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" id="inp-price-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-discountPrice-edit">Giá ưu đãit</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" id="inp-discountPrice-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-duration-edit">Độ dài khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-duration-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-level-edit">Trình độ khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-level-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-coverImage-edit">Ảnh khoá học</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-coverImage-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-teacherName-edit">Tên giảng viên</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-teacherName-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-teacherPhoto-edit">Ảnh giảng viên</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-teacherPhoto-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-isPopular-edit">Popular</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="checkbox" id="inp-isPopular-edit" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="inp-isTrending-edit">Trending</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="checkbox" id="inp-isTrending-edit" class="form-control">
                            </div>
                        </div>
                    </form>
                </div>
                <!-- modal footer -->
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-edit-course" >Edit course</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Delete confirm modal -->
    <div>
        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Courses Delete Confirmation</h5>
                <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <label>Bạn có chắc chắn muốn xóa khoá học này không ?</label>
            </div>
            <div class="modal-footer">
                <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
                <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            </div>
            </div>
        </div>
        </div>
    </div>
</body>
<script>
    "use strict";
    //REGION 1
    //khai báo biến hằng số

    // Khai báo biến mảng hằng số chứa danh sách các thuộc tính
    const gCourse_COLS = ["id", 'courseCode', 'courseName', 'price', 'discountPrice', 'duration', 'level', 'coverImage', 'teacherName', 'teacherPhoto', 'isPopular', 'isTrending', 'action'];
    // Biến mảng toàn cục định nghĩa các chỉ số các cột tương ứng
    const gcourse_ID_COL = 0;
    const gcourse_COURSECODE_COL = 1;
    const gcourse_COURSENAME_COL = 2;
    const gcourse_PRICE_COL = 3;
    const gcourse_DISCOUNTPRICE_COL = 4;
    const gcourse_DURATION_COL = 5;
    const gcourse_LEVEL_COL = 6;
    const gcourse_COVERIMAGE_COL = 7;
    const gcourse_TEACHERNAME_COL = 8;
    const gcourse_TEACHERPHOTO_COL = 9;
    const gcourse_ISPOPULAR_COL = 10;
    const gcourse_ISTRENDING_COL = 11;
    const gcourse_ACTION_COL = 12;
    // Đổ dữ liệu vào bảng và thực hiện nút Edit, Delete
    $("#course-table").DataTable({
        data: gCoursesDB.courses,
        columns: [
            {data: gCourse_COLS[gcourse_ID_COL]},
            {data: gCourse_COLS[gcourse_COURSECODE_COL]},
            {data: gCourse_COLS[gcourse_COURSENAME_COL]},
            {data: gCourse_COLS[gcourse_PRICE_COL]},
            {data: gCourse_COLS[gcourse_DISCOUNTPRICE_COL]},
            {data: gCourse_COLS[gcourse_DURATION_COL]},
            {data: gCourse_COLS[gcourse_LEVEL_COL]},
            {data: gCourse_COLS[gcourse_COVERIMAGE_COL]},
            {data: gCourse_COLS[gcourse_TEACHERNAME_COL]},
            {data: gCourse_COLS[gcourse_TEACHERPHOTO_COL]},
            {data: gCourse_COLS[gcourse_ISPOPULAR_COL]},
            {data: gCourse_COLS[gcourse_ISTRENDING_COL]},
            {data: gCourse_COLS[gcourse_ACTION_COL]},
        ],
        columnDefs: [
            {
                // Định nghĩa lại cột Action
                targets: gcourse_ACTION_COL,
                defaultContent: `
                <img class="edit-course" src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
                <img class="delete-course" src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">
                `
            }
        ],
        autoWidth: false
    });
    // Khai báo biến mảng chưa dữ liệu courses
    var gListcourses = [];
    var gId = "";
    /*REGION 2 */
    $(document).ready(function(){
        onPageLoading();
        //2 - C: gán sự kiện Create
        $("#btn-add-course").on("click", function() {
            onBtnAddNewcourseClick();
        })
        //3 - U: Gán sự kiện Update - sửa course
        $("#course-table").on("click", ".edit-course", function() {
            onIconEditClick(this);
        });
        //4 - D: Gán sự kiện Delete - Xóa course
        $("#course-table").on("click", ".delete-course", function() {
            onIconDeleteClick(this);
        });
        //5 - I: gán sự kiện nút Insert course
        $("#btn-addnew-course").on("click", function(){
            onBtnCreatcourseClick();
        })
        //6 - U: gán sự kiện nút Update course
        $("#btn-edit-course").on("click", function(){
            onBtnEditCourseClick();
        })
        //7 - MD: gán sự kiện nút Update course
        $("#btn-confirm-delete-course").on("click", function(){
            onBtnDeletecourseClick();
        })
    });
    /*REGION 3 */
    function onPageLoading() {
        "use strict";        
        //getAllcourses();
        //1 - R: Read/Load course to DataTable
        loadDataTocourseTable(gCoursesDB.courses);
    }
    // //hàm xử lý sự kiện khi ấn nút thêm mới
    function onBtnAddNewcourseClick() {
        //hiện thị modal trắng lên
        $("#insert-course-modal").modal("show");
    }
    // // Hàm xử lý sự kiện click icon edit
    function onIconEditClick(paramIconElement) {
        "use strict";        
        // console.log("%cIcon Edit Click !!!", "color: red");
        var vRowClick = $(paramIconElement).closest('tr'); // xác định tr chứa icon được click
        var vTable = $("#course-table").DataTable(); //tạo biến truy xuất đến dataTable
        var vDataRow = vTable.row(vRowClick).data(); //lấy dữ liệu của hàng dữ liệu được click
        $("#inp-courseCode-edit").val(vDataRow.courseCode);
        $("#inp-courseName-edit").val(vDataRow.courseName);
        $("#inp-price-edit").val(vDataRow.price);
        $("#inp-discountPrice-edit").val(vDataRow.discountPrice);
        $("#inp-duration-edit").val(vDataRow.duration);
        $("#inp-level-edit").val(vDataRow.level);
        $("#inp-coverImage-edit").val(vDataRow.coverImage);
        $("#inp-teacherName-edit").val(vDataRow.teacherName);
        $("#inp-teacherPhoto-edit").val(vDataRow.teacherPhoto);
        if (vDataRow.isPopular == true){
            $("#inp-isPopular-edit").prop("checked", "true");
        };
        if (vDataRow.isTrending == true){
            $("#inp-isTrending-edit").prop("checked","true");
        };
        $("#edit-course-modal").modal("show");
        gId = vDataRow.id;

        
        // console.log("%cID của course tương ứng là:= " + vDataRow.id, "color: green");
    }
    // // Hàm xử lý sự kiện click icon edit
    function onIconDeleteClick(paramIconElement) {
        "use strict";
        console.log("%cIcon Delete Click !!!", "color: blue");
        var vRowClick = $(paramIconElement).closest('tr'); // xác định tr chứa icon được click
        var vTable = $("#course-table").DataTable(); //tạo biến truy xuất đến dataTable
        var vDataRow = vTable.row(vRowClick).data(); //lấy dữ liệu của hàng dữ liệu được click
        console.log("%cID của course tương ứng là:= " + vDataRow.id, "color: green");
        gId = vDataRow.id;
        $("#delete-confirm-modal").modal("show");
    }
    // //hàm xử lý sự kiện khi ấn nút addnew course
    function onBtnCreatcourseClick() {
        "use strict";
        //Khai báo đội tượng chứa course data
        var vCourseObj = {
            id: "",
            courseCode: "",
            courseName: "",
            price: "",
            discountPrice: "",
            duration: "",
            level: "",
            coverImage: "",
            teacherName: "",
            teacherPhoto: "",
            isPopular: false,
            isTrending: false,
        }
        //B1: thu thập dữ liệu
        getcourseDataCreate(vCourseObj);
        //B2: validate insert
        var vIscourseValidate = validateInsertData(vCourseObj);
        if (vIscourseValidate) {
            //B3: insert course
            gCoursesDB.courses.push(vCourseObj);
            //B4: Xử lý front-end
            //load lại vào bảng
            loadDataTocourseTable(gCoursesDB.courses)
            //xóa trắng dữ liệu trên modal
            resetCreatcourseForm();
            //tắt modal form creat course
            $("#insert-course-modal").modal("hide");
        }
    }
    // //hàm xử lý sự kiện khi ấn nút insert course
    function onBtnEditCourseClick() {
        "use strict";
        //Khai báo đội tượng chứa course data
        var vCourseObj = {
            id: "",
            courseCode: "",
            courseName: "",
            price: "",
            discountPrice: "",
            duration: "",
            level: "",
            coverImage: "",
            teacherName: "",
            teacherPhoto: "",
            isPopular: false,
            isTrending: false,
        }
        //B1: thu thập dữ liệu
        getcourseDataUpdate(vCourseObj);
        //B2: validate insert
        var vIscourseUpdateValidate = validateUpdateData(vCourseObj);
        if (vIscourseUpdateValidate) {
            //B3: insert course
            putcourseApi(vCourseObj);
            //B4: Xử lý front-end
            //load lại vào bảng
            loadDataTocourseTable(gCoursesDB.courses)
            //xóa trắng dữ liệu trên modal
            resetUpdatecourseForm();
            //tắt modal form Update course
            $("#edit-course-modal").modal("hide");
        }
    }
    // //hàm xử lý sự kiện khi ấn nút delete course
    function onBtnDeletecourseClick() {
        "use strict";        
        deletecourseApi(gId);
        alert("Xóa course thành công !!!");
        loadDataTocourseTable(gCoursesDB.courses)
        //tắt modal form Delete course
        $("#delete-confirm-modal").modal("hide");
    }
    // /*REGION 4 */
    function loadDataTocourseTable(paramObjectcourses) {
        console.log(paramObjectcourses);
        var vTable = $("#course-table").DataTable();
        vTable.clear();
        vTable.rows.add(paramObjectcourses);
        vTable.draw();
    }
    // //hàm thu thập dữ liệu để insert course
    function getcourseDataCreate(paramcourseObj){
        "use strict";
        paramcourseObj.id = getNextId();
        paramcourseObj.courseCode = $.trim($("#inp-courseCode").val());
        paramcourseObj.courseName = $.trim($("#inp-courseName").val());
        paramcourseObj.price = $("#inp-price").val();
        paramcourseObj.discountPrice = $("#inp-discountPrice").val();
        paramcourseObj.duration = $.trim($("#inp-duration").val());
        paramcourseObj.level = $.trim($("#inp-level").val());
        paramcourseObj.coverImage = $.trim($("#inp-coverImage").val());
        paramcourseObj.teacherName = $.trim($("#inp-teacherName").val());
        paramcourseObj.teacherPhoto = $.trim($("#inp-teacherPhoto").val());
        paramcourseObj.isPopular = $("#inp-isPopular").is(':checked');
        paramcourseObj.isTrending = $("#inp-isTrending").is(':checked');
    }
    // hàm sinh ra đc id tự tăng tiếp theo, dùng khi Thêm mới phần tử
  function getNextId() {
    var vNextId = 0;
    // Nếu mảng chưa có đối tượng nào thì Id = 1
    if(gCoursesDB.courses.length == 0) {
      vNextId = 1;
    }
  // Id tiếp theo bằng Id của phần tử cuối cùng + thêm 1    
    else {
        vNextId = gCoursesDB.courses[gCoursesDB.courses.length - 1].id + 1;
    }
    return vNextId;
  }

    // //hàm thu thập dữ liệu để update course
    function getcourseDataUpdate(paramcourseObj){
        "use strict";
        paramcourseObj.courseCode = $.trim($("#inp-courseCode-edit").val());
        paramcourseObj.courseName = $.trim($("#inp-courseName-edit").val());
        paramcourseObj.price = $("#inp-price-edit").val();
        paramcourseObj.discountPrice = $("#inp-discountPrice-edit").val();
        paramcourseObj.duration = $.trim($("#inp-duration-edit").val());
        paramcourseObj.level = $.trim($("#inp-level-edit").val());
        paramcourseObj.coverImage = $.trim($("#inp-coverImage-edit").val());
        paramcourseObj.teacherName = $.trim($("#inp-teacherName-edit").val());
        paramcourseObj.teacherPhoto = $.trim($("#inp-teacherPhoto-edit").val());
        paramcourseObj.isPopular = $("#inp-isPopular-edit").is(':checked');
        paramcourseObj.isTrending = $("#inp-isTrending-edit").is(':checked');
        paramcourseObj.id = gId;
    }
    //hàm validate data khi insert
    function validateInsertData(paramcourseObj) {
        "use strict";
        if(paramcourseObj.courseCode == "") {
            alert("Mã khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.courseName == "") {
            alert("Tên khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.price == "") {
            alert("Giá chưa nhập");
            return false;
        };
        if(paramcourseObj.duration == "") {
            alert("Độ dài khoá học chưa nhập !");
            return false;
        };
        if(paramcourseObj.level == "") {
            alert("Trình độ khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.coverImage == "") {
            alert("Ảnh nền khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.teacherName == "") {
            alert("Tên giảng viên chưa nhập");
            return false;
        };
        if(paramcourseObj.teacherPhoto == "") {
            alert("Ảnh profile giảng viên chưa nhập");
            return false;
        };
        return true;
    }
    // //hàm validate data khi update
    function validateUpdateData(paramcourseObj) {
        "use strict";
        if(paramcourseObj.courseCode == "") {
            alert("Mã khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.courseName == "") {
            alert("Tên khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.price == "") {
            alert("Giá chưa nhập");
            return false;
        };
        if(paramcourseObj.duration == "") {
            alert("Độ dài khoá học chưa nhập !");
            return false;
        };
        if(paramcourseObj.level == "") {
            alert("Trình độ khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.coverImage == "") {
            alert("Ảnh nền khoá học chưa nhập");
            return false;
        };
        if(paramcourseObj.teacherName == "") {
            alert("Tên giảng viên chưa nhập");
            return false;
        };
        if(paramcourseObj.teacherPhoto == "") {
            alert("Ảnh profile giảng viên chưa nhập");
            return false;
        };
        return true;
    }

    // //hàm gọi update course
    function putcourseApi(paramcourseObj) {
        "use strict";
        for(var bI = 0; bI < gCoursesDB.courses.length; bI++){
            if (gCoursesDB.courses[bI].id == paramcourseObj.id){
                gCoursesDB.courses[bI].courseCode = $.trim($("#inp-courseCode-edit").val());
                gCoursesDB.courses[bI].courseName = $.trim($("#inp-courseName-edit").val());
                gCoursesDB.courses[bI].price = $("#inp-price-edit").val();
                gCoursesDB.courses[bI].discountPrice = $("#inp-discountPrice-edit").val();
                gCoursesDB.courses[bI].duration = $.trim($("#inp-duration-edit").val());
                gCoursesDB.courses[bI].level = $.trim($("#inp-level-edit").val());
                gCoursesDB.courses[bI].coverImage = $.trim($("#inp-coverImage-edit").val());
                gCoursesDB.courses[bI].teacherName = $.trim($("#inp-teacherName-edit").val());
                gCoursesDB.courses[bI].teacherPhoto = $.trim($("#inp-teacherPhoto-edit").val());
                gCoursesDB.courses[bI].isPopular = $("#inp-isPopular-edit").is(':checked');
                gCoursesDB.courses[bI].isTrending = $("#inp-isTrending-edit").is(':checked');
            }
        }
    }
    // //hàm gọi delete course
    function deletecourseApi(paramcourseObj) {
        for(var bI = 0; bI < gCoursesDB.courses.length; bI ++){
            if (gCoursesDB.courses[bI].id == paramcourseObj){
                gCoursesDB.courses.splice(bI,1);
            }
        }
    }
    // //hàm xóa trắng form create course
    function resetCreatcourseForm() {
        $("#inp-courseCode").val();
        $("#inp-courseName").val();
        $("#inp-price").val();
        $("#inp-discountPrice").val();
        $("#inp-duration").val();
        $("#inp-level").val();
        $("#inp-coverImage").val();
        $("#inp-teacherName").val();
        $("#inp-teacherPhoto").val();
        $("#inp-isPopular").val();
        $("#inp-isTrending").val();
    }
    //hàm xóa trắng form update course
    function resetUpdatecourseForm() {
        $("#inp-courseCode-edit").val();
        $("#inp-courseName-edit").val();
        $("#inp-price-edit").val();
        $("#inp-discountPrice-edit").val();
        $("#inp-duration-edit").val();
        $("#inp-level-edit").val();
        $("#inp-coverImage-edit").val();
        $("#inp-teacherName-edit").val();
        $("#inp-teacherPhoto-edit").val();
        $("#inp-isPopular-edit").val();
        $("#inp-isTrending-edit").val();
    }
</script>
</html>